<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 *
 * This file is part of the AjaxSync framework.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * Controller / AjaxSync HTTP function call. Proceed a logout/login action for
 * an AjaxSync session. Gets username, password and a list of function handlers
 * to register as parameters. Returns the login success state and in case of a
 * successful login the registration success state for each function handler.
 *
 * @author Michael Oberg
 */
class logout extends authDigest {
    public function run($request) {
        // open the session object - it's required from ajaxsyncBuffer
        ajaxsyncSession::session_start();
        if (!ajaxsyncSession::getSID()) {
            echo "Failed: Session is not open";
            return;
        }
	ajaxsyncAccessControl::logout();
        ajaxsyncCore::closeSession(); // unsets AjaxSync session so that immediate re-login is possible
        $this->logout(); // send authentication header
        ajaxsyncSession::session_write_close();
    }
}
?>
