<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * This class provides AjaxSync user registration with email verification.
 *
 * @author Michael Oberg
 */
class registerUser {
    private function __construct() { }

    private function __clone() { }

    public static function sendmail($email,$name,$passwd1,$passwd2) {
        if (!preg_match("/^[a-zA-Z0-9._-]+@([a-zA-Z0-9.-]+\.[a-zA-Z]{2,8})$/",$email,$matches)) {
            throw new Exception("Failed: invalid Email address '$email'");
        }
        else {
            $domain = $matches[1];
            if (!checkdnsrr($domain,"MX")) {
                throw new Exception("Failed: invalid Email address '$email'");
            }
        }
        if (!preg_match("/^[a-zA-Z0-9._-]+$/",$name)) {
            throw new Exception("Failed: invalid username '$name'");
        }
        if (strlen($passwd1) < 6) {
            throw new Exception("Failed: Password too short (has to have at least 6 characters)");
        }
        if ($passwd1 != $passwd2) {
            throw new Exception("Failed: Passwords didn't match");
        }
 
        $digest = md5("$name:".AJAXSYNC_CHAT_REALM.":$passwd1");
        $linkid = md5(date('r', time()));
        $random_hash = md5(date('r', time()));

        $email = mysql_escape_string($email);
        $user = mysql_escape_string($user);

        ajaxsyncDB::change("delete from hashes using hashes, users u where u.status = 1 and u.email = '$email' and hashes.user = u.id");
        ajaxsyncDB::change("delete from users where status = 1 and email = '$email'");
        $a = ajaxsyncDB::selectMultiple("select email from users where email = '$email'");
        if (count($a)) {
            throw new Exception("Failed: You already have registered an account.");
        }
        $a = ajaxsyncDB::selectMultiple("select name from users where name = '$name'");
        if (count($a)) {
            throw new Exception("Failed: That username is already in use.");
        }
        $uid = ajaxsyncDB::insertId("insert into users (name, digest, email, timeout, created) values ('$name','$digest','$email',180,now())");
        ajaxsyncDB::change("insert into hashes (user, hash, timestamp) values ($uid,'$linkid',now())");
 
        $headers = "From: ".CHAT_MAIL_FROM."\r\nBcc: michael.oberg@mylinuxproject.de\r\nContent-Type: multipart/alternative; boundary=\"PHP-alt-".$random_hash."\"";
 
        $content = "This is a multi-part message in MIME format.

--PHP-alt-$random_hash
Content-Type: text/plain; charset=\"".CHAT_MAIL_ENCODING."\"
Content-Transfer-Encoding: quoted-printable

".CHAT_REGISTRATION_PLAINTEXT($name,$linkid)."

--PHP-alt-$random_hash
Content-Type: text/html; charset=\"".CHAT_MAIL_ENCODING."\"
Content-Transfer-Encoding: 7bit

".CHAT_REGISTRATION_HTML($name,$linkid);
 
        mail($email,CHAT_REGISTRATION_SUBJECT,$content,$headers); // ignore return value

        echo "Mail was sent.";
    }

    /**
     * This function activates a registered account. It is called from the landing page
     * controller which was referenced in the activation link of the registration email.
     *
     * @param $linkid The id of the user registration.
     * @return True if the registration was successful, false if the $linkid was not found or invalid.
     */
    public static function activation($linkid) {
        if (!preg_match("/^[a-f0-9]{32}$/",$linkid))
            return false;
        ajaxsyncDB::change("delete from users using users, hashes h where users.id = h.user and h.hash = '$linkid' and date_add(h.timestamp, interval 1 day) <= now() and h.deluser = 1 and users.status = 1");
        ajaxsyncDB::change("delete from hashes where hash = '$linkid' and date_add(timestamp, interval 1 day) <= now()");
        if (!ajaxsyncDB::changeAffected("update users u, hashes h set u.status = 2, u.activated = now() where u.id = h.user and h.hash = '$linkid'"))
            return false;

        ajaxsyncDB::change("delete from hashes where hash = '$linkid'"); // not needed anymore
        return true;
    }

    /**
     * This function changes the password of an account.
     * @param $user User.
     * @param $pw New password.
     * @return True if the password could be changed, false otherwise.
     */
    public function changePassword($user,$pw) {
        $user = mysql_escape_string($user);
        $pw = mysql_escape_string($pw);
        $digest = md5("$user:".AJAXSYNC_CHAT_REALM.":$pw");
        if (!ajaxsyncDB::changeAffected("update users set digest = '$digest' where name = '$user'"))
            return false;
        return true;
    }
}
?>
