<?php
/* 
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * AjaxSync Chat: Digest authentication realm
 */
define('AJAXSYNC_CHAT_REALM', 'AjaxSync Chat Demo');

/**
 * AjaxSync Chat: registration landing page
 */
define('CHAT_REGISTRATION_LANDINGPAGE','http://www.ajaxsync.org/chat/register');

/**
 * AjaxSync Chat: invitation landing page
 */
define('CHAT_INVITATION_LANDINGPAGE','http://www.ajaxsync.org/chat/inviteAnswer');

/**
 * AjaxSync Chat: page to be called after successful registration
 */
define('CHAT_LOCATION_STARTPAGE','http://www.ajaxsync.org/');

/**
 * AjaxSync Chat: registration mail subject
 */
define('CHAT_REGISTRATION_SUBJECT','Registration on www.ajaxsync.org');

/**
 * AjaxSync Chat: invitation mail subject
 */
define('CHAT_INVITATION_SUBJECT','Invitation to chat on www.ajaxsync.org');

/**
 * AjaxSync Chat: registration/invitation mail sender address
 */
define('CHAT_MAIL_FROM','noreply@ajaxsync.org');

/**
 * AjaxSync Chat: registration/invitation mail sender address
 */
define('CHAT_MAIL_ENCODING','ISO-8859-1');

/**
 * AjaxSync Chat: plain text version of registration email
 */
function CHAT_REGISTRATION_PLAINTEXT($name,$linkid) {
    return "In order to activate your new account $name on www.ajaxsync.org, please click on this link:
".CHAT_REGISTRATION_LANDINGPAGE."?id=3D$linkid
Please activate your account within the next 24 hours. Otherwise it will be deleted.";
}

/**
 * AjaxSync Chat: plain text version of invitation email
 */
function CHAT_INVITATION_PLAINTEXT($name,$linkid) {
    return "$name wants to invite you to a chat. If you want to accept this invitation, please click on this link:
".CHAT_INVITATION_LANDINGPAGE."?id=3D$linkid
The link will expire after 24 hours.";
}

/**
 * AjaxSync Chat: html version of registration email
 */
function CHAT_REGISTRATION_HTML($name,$linkid) {
    return "<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".CHAT_MAIL_ENCODING."\"/>
<style>
body {
	font-family: Helvetica, Arial, Sans-Serif;
	font-size: 10pt;
}
</style>
</head>
<body>
In order to activate your new account $name on <a href=\"www.ajaxsync.org\">www.ajaxsync.org</a>, please click on this link:<br/>
<a href=\"".CHAT_REGISTRATION_LANDINGPAGE."?id=$linkid\">".CHAT_REGISTRATION_LANDINGPAGE."?id=$linkid</a><br/>
Please activate your account within the next 24 hours. Otherwise it will be deleted.
</body>
</html>";
}

/**
 * AjaxSync Chat: html version of invitation email
 */
function CHAT_INVITATION_HTML($name,$linkid) {
    return "<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".CHAT_MAIL_ENCODING."\"/>
<style>
body {
	font-family: Helvetica, Arial, Sans-Serif;
	font-size: 10pt;
}
</style>
</head>
<body>
$name wants to invite you to a chat. If you want to accept this invitation, please click on this link:<br/>
<a href=\"".CHAT_INVITATION_LANDINGPAGE."?id=$linkid\">".CHAT_INVITATION_LANDINGPAGE."?id=$linkid</a><br/>
The link will expire after 24 hours.
</body>
</html>";
}
?>
