<?php
/**
 * @file template/start.php
 * This is the AjaxSync example chat application. Like the error
 * document it creates a XHTML strict document and uses the
 * applications style sheet. The XML header is not added for
 * Microsoft Internet Explorer, it would cause problems.
 *
 * @author Michael Oberg
 */
if (!preg_match("/MSIE /",$_SERVER['HTTP_USER_AGENT'])) {
    echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <!--
    Copyright (C) 2010  Michael Oberg
    
    This file is part of the AjaxSync framework.
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    -->
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <link rel="shortcut icon" href="../images/ajaxsync16.ico" type="image/x-icon"/>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

        <link rel="stylesheet" type="text/css" href="../css/style.css"/>
        <link rel="stylesheet" type="text/css" href="../css/admin.css"/>
        <link type="text/css" href="../css/jquery-ui-1.8.6.custom.css" rel="stylesheet" />
        <link type="text/css" href="../css/ui.multiselect.css" rel="stylesheet" />

        <script type="text/javascript" src="../js/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="../js/jquery-ui-1.8.6.custom.min.js"></script>
        <script type="text/javascript" src="../js/ui.multiselect.js"></script>
        <script type="text/javascript" src="../js/admin.js"></script>

        <title>AjaxSync Administration</title>
    </head>
    <body>
        <div id="tabs-frame">
            <div id="tabs">
                <ul>
                    <li><a href="#tabs-1">Groups</a></li>
                    <li><a href="#tabs-2">Users</a></li>
                    <li><a href="#tabs-3">Functions</a></li>
                </ul>
                <div id="tabs-1">
                    <table cellspacing="0">
                        <tr>
                            <td colspan="2">
                                You need at least one group before you can create a user or a function.
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="creategroup_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-plusthick"></span>Create group</a>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Choose group:
                            </td>
                            <td class="left">
                                <input type="text" id="groupname"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="delgroup_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-trash"></span>Delete group</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                Or change memberships<br/>(left side: members of this group, right side: non-members):
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <select id="members" class="multiselect" multiple="multiple">
                                    <option value="0"></option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <a href="javascript:void" id="savegroup_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-disk"></span>Save</a>
                            </td>
                            <td class="left">
                                <a href="javascript:void" id="cancelgroup_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-closethick"></span>Cancel</a>
                            </td>
                        </tr>
                    </table>
                </div>
                <div id="tabs-2">
                    <table cellspacing="0">
                        <tr>
                            <td colspan="2">
                                You need at least one user before you can create a function.
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="createuser_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-plusthick"></span>Create user</a>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Choose user:
                            </td>
                            <td class="left">
                                <input type="text" id="username"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="deluser_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-trash"></span>Delete user</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                Or change the properties:
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Change password:
                            </td>
                            <td class="left">
                                <input type="password" id="userpw" value=""/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                (Leave password empty for no change.)
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Change timeout:
                            </td>
                            <td class="left">
                                <input type="text" id="usertimeout"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                Change memberships<br/>(left side: groups containing this user, right side: other groups)
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <select id="memberof" class="multiselect" multiple="multiple">
                                    <option value="0"></option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <a href="javascript:void" id="saveuser_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-disk"></span>Save</a>
                            </td>
                            <td class="left">
                                <a href="javascript:void" id="canceluser_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-closethick"></span>Cancel</a>
                            </td>
                        </tr>
                    </table>
                </div>
                <div id="tabs-3">
                    <table cellspacing="0">
                        <tr>
                            <td colspan="2">
                                Functions have an owner and a group with different read / write permissions. 
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="createfunction_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-plusthick"></span>Create function</a>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Change function:
                            </td>
                            <td class="left">
                                <input type="text" id="fname"/>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <a href="javascript:void" id="delfunction_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-trash"></span>Delete function</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                Or change the properties:
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Change owner:
                            </td>
                            <td class="left">
                                <input type="text" id="fowner"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Change group:
                            </td>
                            <td class="left">
                                <input type="text" id="fgroup"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Owner has read permission:
                            </td>
                            <td class="left">
                                <input type="checkbox" id="uread"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Owner has write permission:
                            </td>
                            <td class="left">
                                <input type="checkbox" id="uwrite"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Group members have read permission:
                            </td>
                            <td class="left">
                                <input type="checkbox" id="gread"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Group members have write permission:
                            </td>
                            <td class="left">
                                <input type="checkbox" id="gwrite"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <a href="javascript:void" id="savefunction_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-disk"></span>Save</a>
                            </td>
                            <td class="left">
                                <a href="javascript:void" id="cancelfunction_link" class="link-button ui-state-default ui-corner-all"><span class="ui-icon ui-icon-closethick"></span>Cancel</a>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <div id="Spinner" style="display:none">
                <table cellspacing="0">
                    <tr><td><img alt="" src="../images/spinner.gif"/></td></tr>
                </table>
            </div>
            <div id="Error" title="Error">
            </div>
            <div id="creategroup" title="Create new group">
                <table class="create" cellspacing="0">
                    <tr>
                        <td>
                            Group name:
                        </td>
                        <td class="left">
                            <input type="text" id="newgroupname"/>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="createuser" title="Create new user">
                <table class="create" cellspacing="0">
                    <tr>
                        <td>
                            Username:
                        </td>
                        <td class="left">
                            <input type="text" id="newusername"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Password:
                        </td>
                        <td class="left">
                            <input type="text" id="newuserpasswd"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Timeout:
                        </td>
                        <td class="left">
                            <input type="text" id="newtimeout" value="60"/>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="createfunction" title="Create new function">
                <table class="create" cellspacing="0">
                    <tr>
                        <td>
                            Function name:
                        </td>
                        <td class="left">
                            <input type="text" id="newfname"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Owner:
                        </td>
                        <td class="left">
                            <input type="text" id="newfowner"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Group:
                        </td>
                        <td class="left">
                            <input type="text" id="newfgroup"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Owner has read permission:
                        </td>
                        <td class="left">
                            <input type="checkbox" id="newuread"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Owner has write permission:
                        </td>
                        <td class="left">
                            <input type="checkbox" id="newuwrite"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Group members have read permission:
                        </td>
                        <td class="left">
                            <input type="checkbox" id="newgread"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Group members have write permission:
                        </td>
                        <td class="left">
                            <input type="checkbox" id="newgwrite"/>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </body>
</html>